Bug 1577262 - CVE-2018-10773 CVE-2018-10774 CVE-2018-10775 ghc-hs-bibutils: various flaws [epel-all]
Summary: CVE-2018-10773 CVE-2018-10774 CVE-2018-10775 ghc-hs-bibutils: various flaws [...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: ghc-hs-bibutils
Version: epel7
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2018-10773 CVE-2018-10774 CVE-2018-10775
TreeView+ depends on / blocked
 
Reported: 2018-05-11 14:57 UTC by Laura Pardo
Modified: 2019-02-26 01:23 UTC (History)
1 user (show)

Fixed In Version: ghc-hs-bibutils-6.6.0.0-1.el7
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-26 01:23:25 UTC


Attachments (Terms of Use)

Description Laura Pardo 2018-05-11 14:57:14 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of epel-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora EPEL. While
only one tracking bug has been filed, please correct all affected versions
at the same time.  If you need to fix the versions independent of each
other, you may clone this bug as appropriate.

Comment 1 Laura Pardo 2018-05-11 14:57:18 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1577258,1577262

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Laura Pardo 2018-05-11 15:05:54 UTC
Added new parent flaw bugs 1577268 (CVE-2018-10774) to this tracking bug.

Comment 3 Laura Pardo 2018-05-11 15:14:50 UTC
Added new parent flaw bugs 1577280 (CVE-2018-10775) to this tracking bug.

Comment 4 Fedora Update System 2018-07-28 03:22:14 UTC
bibutils-6.6-1.el7 ghc-hs-bibutils-6.6.0.0-1.el7 pandoc-citeproc-0.3.0.1-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-f9d6ff695a

Comment 5 Fedora Update System 2018-07-28 03:22:25 UTC
bibutils-6.6-1.el7 ghc-hs-bibutils-6.6.0.0-1.el7 pandoc-citeproc-0.3.0.1-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-f9d6ff695a

Comment 6 Fedora Update System 2018-07-29 02:32:07 UTC
bibutils-6.6-1.el7, ghc-hs-bibutils-6.6.0.0-1.el7, pandoc-citeproc-0.3.0.1-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-f9d6ff695a

Comment 7 Fedora Update System 2019-02-26 01:23:25 UTC
bibutils-6.6-1.el7, ghc-hs-bibutils-6.6.0.0-1.el7, pandoc-citeproc-0.3.0.1-4.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.